%define major		5
%define libname		%mklibname isds %{major}
%define develname	%mklibname isds -d

Summary:	The libisds is library for accessing CZ databox SOAP services
Name:		libisds
Version:	0.11.2
Release:	%mkrel 3
License:	LGPLv3
Group:		System/Libraries
URL:		http://xpisar.wz.cz/libisds/
Source0:	http://xpisar.wz.cz/libisds/dist/%{name}-%{version}.tar.xz
Patch1:		0001-Use-CURLOPT_XFERINFOFUNCTION-curl-option-if-available.patch
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
BuildRequires:	xsltproc

%description
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	-n %{libname}
Summary:	The libisds is library for accessing CZ databox SOAP services
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}

%description	-n %{libname}
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	i18n
BuildArch:	noarch
Summary:	Translation files for %{name}
Group:		System/Libraries

%description	i18n
Translation files for %{name}.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static --with-libcurl
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
%find_lang %{name}

%files -n %{libname}
%doc README AUTHORS NEWS TODO
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files i18n -f %{name}.lang

%files -n %{develname}
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/isds.h.3.*
%{_mandir}/man3/libisds.3.*
%doc doc/*


%changelog
* Sun Mar 16 2025 wally <wally> 0.11.2-3.mga10
+ Revision: 2164903
- rebuild for libxml2 2.13.6

* Sat Feb 25 2023 daviddavid <daviddavid> 0.11.2-2.mga9
+ Revision: 1945431
- add upstream patch to fix build with curl >= 7.85.0

* Wed Nov 23 2022 daviddavid <daviddavid> 0.11.2-1.mga9
+ Revision: 1910615
- new version: 0.11.2

* Mon Apr 04 2022 umeabot <umeabot> 0.11.1-2.mga9
+ Revision: 1843174
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 daviddavid <daviddavid> 0.11.1-1.mga8
+ Revision: 1647718
- new version: 0.11.1

* Sun Feb 16 2020 umeabot <umeabot> 0.11-2.mga8
+ Revision: 1533959
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 25 2019 daviddavid <daviddavid> 0.11-1.mga8
+ Revision: 1445875
- new version: 0.11

* Sun Oct 21 2018 daviddavid <daviddavid> 0.10.8-1.mga7
+ Revision: 1323432
- new version: 0.10.8

* Sun Sep 23 2018 umeabot <umeabot> 0.10.7-2.mga7
+ Revision: 1298929
- Mageia 7 Mass Rebuild

* Sat Sep 23 2017 daviddavid <daviddavid> 0.10.7-1.mga7
+ Revision: 1158127
- new version: 0.10.7

* Sun Jul 24 2016 supp <supp> 0.10.4-1.mga6
+ Revision: 1043519
- upgrade to 0.10.4 for Datovka 4.6.x

* Thu Mar 10 2016 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 988691
- new version: 0.10.2
- use mageia's libification policy
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 supp <supp> 0.10.1-3.mga6
+ Revision: 907807
- make 0.10.1 work again - bump to rev.3
- make 0.10.1 work again

* Sat Oct 24 2015 daviddavid <daviddavid> 0.10.1-2.mga6
+ Revision: 894887
- devel subpackage requires lib subpackage
+ fwang <fwang>
- update file list

* Mon Sep 14 2015 fwang <fwang> 0.10.1-1.mga6
+ Revision: 879066
- 0.10.1
- split sub packages

* Sat Jun 20 2015 supp <supp> 0.10-1.mga6
+ Revision: 836385
- update to 0.10

* Sun Dec 21 2014 supp <supp> 0.9-3.mga5
+ Revision: 804570
- move development headers to separate package, release bump
- move development headers to separate package

* Sun Dec 21 2014 supp <supp> 0.9-2.mga5
+ Revision: 804565
- remove Obsoletes tag as it is more useful in main - Datovka - application and will not break older installations

* Sun Dec 21 2014 supp <supp> 0.9-1.mga5
+ Revision: 804560
- fix source
- upload source file
- libisds
- Created package structure for libisds.

